version: "3.8"

services:
  #Это конфигурация Docker Compose для службы базы данных PostgreSQL.
  postgres:
    container_name: postgres
    deploy:
      restart_policy:
        condition: always
        delay: 5s
    env_file: postgres.env
    image: postgres:15-alpine
    labels:
      com.centurylinklabs.watchtower.enable: "true"
      traefik.enable: "false"
    shm_size: 256mb
    volumes:
      - "/mnt/docker-volumes/db/postgres/data:/var/lib/postgresql/data"

networks:
  external:
    external: true
    name: $NETWORK
